Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.cards
Class CardIssuerConfig

    java.lang.Object
      org.wso2.solutions.identity.cards.CardIssuerConfig

    public class CardIssuerConfig

extends java.lang.Object

Configuration of the information card issuer.

Field Summary
`static java.lang.String` | `CARD_NAME`
`static java.lang.String` | `DEFAULT_CONFIG_FILE_PATH`
`static java.lang.String` | `ISSUER`
`static java.lang.String` | `SIG_ALGO`
`static java.lang.String` | `SUPPORTED_TOKENS`
`static java.lang.String` | `TOKEN_TYPES`
`static java.lang.String` | `USE_SYMMETRIC_BINDING`
`static java.lang.String` | `USERMAN_SERVICE`
`static java.lang.String` | `VALID_PERIOD`

Method Summary
`java.lang.String` | `getCardName()`
`java.lang.String` | `getConfigFilePath()`
`static CardIssuerConfig` | `getInstance()`
`java.lang.String` | `getIssuer()`
`java.lang.String` | `getSigAlgo()`
`SupportedTokenTypeList` | `getTokenTypeList()`
`int` | `getValidPeriod()`
`boolean` | `isUseSymmetricBinding()`
`void` | `setCardName(java.lang.String cardName)`
`void` | `setConfigFilePath(java.lang.String configFilePath)`
`void` | `setIssuer(java.lang.String issuer)`
`void` | `setSigAlgo(java.lang.String sigAlgo)`
`void` | `setTokenTypeList(SupportedTokenTypeList tokenTypeList)`
`void` | `setUseSymmetricBinding(boolean useSymmetricBinding)`
`void` | `setValidPeriod(int validPeriod)`
`static CardIssuerConfig` | `updateConfig()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ISSUER

    public static final java.lang.String ISSUER

See Also:
  Constant Field Values

### VALID_PERIOD

    public static final java.lang.String VALID_PERIOD

See Also:
  Constant Field Values

### SUPPORTED_TOKENS

    public static final java.lang.String SUPPORTED_TOKENS

See Also:
  Constant Field Values

### TOKEN_TYPES

    public static final java.lang.String TOKEN_TYPES

See Also:
  Constant Field Values

### USERMAN_SERVICE

    public static final java.lang.String USERMAN_SERVICE

See Also:
  Constant Field Values

### CARD_NAME

    public static final java.lang.String CARD_NAME

See Also:
  Constant Field Values

### SIG_ALGO

    public static final java.lang.String SIG_ALGO

See Also:
  Constant Field Values

### USE_SYMMETRIC_BINDING

    public static final java.lang.String USE_SYMMETRIC_BINDING

See Also:
  Constant Field Values

### DEFAULT_CONFIG_FILE_PATH

    public static final java.lang.String DEFAULT_CONFIG_FILE_PATH

Method Detail

### getInstance

    public static CardIssuerConfig getInstance()
                                        throws IdentityProviderException

  Throws:
    `IdentityProviderException`

### updateConfig

    public static CardIssuerConfig updateConfig()
                                         throws IdentityProviderException

  Throws:
    `IdentityProviderException`

### getCardName

    public java.lang.String getCardName()

### setCardName

    public void setCardName(java.lang.String cardName)

### getConfigFilePath

    public java.lang.String getConfigFilePath()

### setConfigFilePath

    public void setConfigFilePath(java.lang.String configFilePath)

### getIssuer

    public java.lang.String getIssuer()

### setIssuer

    public void setIssuer(java.lang.String issuer)

### getTokenTypeList

    public SupportedTokenTypeList getTokenTypeList()

### setTokenTypeList

    public void setTokenTypeList(SupportedTokenTypeList tokenTypeList)

### getValidPeriod

    public int getValidPeriod()

### setValidPeriod

    public void setValidPeriod(int validPeriod)

### getSigAlgo

    public java.lang.String getSigAlgo()

### setSigAlgo

    public void setSigAlgo(java.lang.String sigAlgo)

### isUseSymmetricBinding

    public boolean isUseSymmetricBinding()

### setUseSymmetricBinding

    public void setUseSymmetricBinding(boolean useSymmetricBinding)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD